#ifndef __MYDEFS_H
#define __MYDEFS_H

#if defined (__AVR_ATmega644__) || defined (__AVR_ATmega168__)
#define TIMSK			TIMSK1
#endif

// braucht man glaub ich nicht mehr, da nur fr Atmega
#define LED_PORT		PORTD
#define LED_DIR			DDRD

#define Led1			(1 << 1)
#define Led2			(1 << 2)
#define Led3			(1 << 3)
#define Led4			(1 << 5)
#define Led5			(1 << 6)
#define Led6			(1 << 7)


#define THRESHOLD		200								// Schwellwert Anzeige. Original: 2000

/*so werfen wir zwar fast ein Bit in der Auflsung weg,       
ist aber egal, spter wird noch viel mehr 'entsorgt',   
der OPV wird vermutlich eh nicht viel weiter aussteuern knnen*/
#define SCORE_MAX		((INT16_MAX / 2) + THRESHOLD)

#define F_PWM			60UL								// PWM-Frequenz in Hz
#define PWM_STEPS		1024								// PWM-Schritte pro Zyklus default: 1024


#define T_PWM			(F_CPU / (F_PWM * PWM_STEPS))		// Systemtakte pro PWM-Takt
#if (T_PWM < (93 + 5))
    #error T_PWM zu klein, F_CPU muss vergrsst werden oder F_PWM oder PWM_STEPS verkleinert werden
#endif

#endif

